# - Config file for the Enzyme package

# Compute paths
get_filename_component(Enzyme_CMAKE_DIR "${CMAKE_CURRENT_LIST_FILE}" PATH)
set(Enzyme_LLVM_VERSION_MAJOR "12")
set(Enzyme_LLVM_VERSION_MINOR "0")
set(Enzyme_LLVM_VERSION_PATCH "1")
set(Enzyme_LLVM_DIR "/workspace/x86_64-unknown-freebsd12.2-libgfortran5-cxx11-llvm_version+12.asserts/destdir/lib/cmake/llvm")
set(Enzyme_LLVM_BINARY_DIR "/workspace/x86_64-unknown-freebsd12.2-libgfortran5-cxx11-llvm_version+12.asserts/destdir")

set(_supported_components LLVMEnzyme ClangEnzyme LLDEnzyme LLVM)

foreach(_comp ${Enzyme_FIND_COMPONENTS})
  if (_comp STREQUAL "LLVMEnzyme" OR _comp STREQUAL "ClangEnzyme"  OR _comp STREQUAL "LLDEnzyme")
    # Our library dependencies (contains definitions for IMPORTED targets)
    if(NOT TARGET LLVMEnzyme-${Enzyme_LLVM_VERSION_MAJOR} AND NOT TARGET ClangEnzyme-${Enzyme_LLVM_VERSION_MAJOR} AND NOT TARGET LLDEnzyme-${Enzyme_LLVM_VERSION_MAJOR} AND NOT Enzyme_BINARY_DIR)
        include("${Enzyme_CMAKE_DIR}/EnzymeTargets.cmake")
    endif()
    # These are IMPORTED targets created by EnzymeTargets.cmake
    set(Enzyme_LIBRARIES LLVMEnzyme-${Enzyme_LLVM_VERSION_MAJOR} ClangEnzyme-${Enzyme_LLVM_VERSION_MAJOR} LLDEnzyme-${LLD_LLVM_VERSION_MAJOR})
  endif()
endforeach()
